Package org.jfree.layouting.renderer.model

## Class FinishedRenderNode

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.FinishedRenderNode

-     public class FinishedRenderNode
      extends RenderNode

  A box replacement. It has a predefined width and height and does not change those. It is a placeholder for all already printed content.

  If you see this node inside an inline box, you can be sure you've shot yourself in the foot.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FinishedRenderNode​(long layoutedWidth, long layoutedHeight, long effectiveMarginsTop, long effectiveMarginsBottom)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getEffectiveMarginBottom​()` |
    `long` | `getEffectiveMarginTop​()` |
    `long` | `getLayoutedHeight​()` |
    `long` | `getLayoutedWidth​()` |
    `boolean` | `isDiscardable​()` |
    `boolean` | `isEmpty​()` |
    `boolean` | `isIgnorableForRendering​()` | If that method returns true, the element will not be used for rendering.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `appyStyle, clone, derive, deriveFrozen, findNodeById, freeze, getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getPageContext, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, hibernate, isDirectionLTR, isDirty, isFrozen, isHibernated, isIcmMetricsFinished, isOpen, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

- - ### Constructor Detail

    - #### FinishedRenderNode

          public FinishedRenderNode​(long layoutedWidth,
                                    long layoutedHeight,
                                    long effectiveMarginsTop,
                                    long effectiveMarginsBottom)

  - ### Method Detail

    - #### isDiscardable

          public boolean isDiscardable​()

      Overrides:
        `isDiscardable` in class `RenderNode`

    - #### isEmpty

          public boolean isEmpty​()

      Overrides:
        `isEmpty` in class `RenderNode`

    - #### getLayoutedWidth

          public long getLayoutedWidth​()

    - #### getLayoutedHeight

          public long getLayoutedHeight​()

    - #### isIgnorableForRendering

          public boolean isIgnorableForRendering​()

      If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

      If the element reports itself as non-empty, however, it will affect the margin computation.
      Overrides:
        `isIgnorableForRendering` in class `RenderNode`
      Returns:

    - #### getEffectiveMarginTop

          public long getEffectiveMarginTop​()

      Overrides:
        `getEffectiveMarginTop` in class `RenderNode`

    - #### getEffectiveMarginBottom

          public long getEffectiveMarginBottom​()

      Overrides:
        `getEffectiveMarginBottom` in class `RenderNode`